Subject: Offline Message from Umber umar: I have complained so many times about this o
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 20 Jul 2020 10:42:00 -0000

From: Umber umar <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/view/order_id/1527742/
Department: 

I have complained so many times about this order but you guys just send me an email and apologize..I mean if your delivery boy has delivered it to the wrong address then it's not my fault.I want my order or refund .

----
Zopim
https://www.zopim.com